import request from '@/utils/request'

// 查询专业术语列表
export function listTechLingo(query) {
  return request({
    url: '/tech/techLingo/list',
    method: 'get',
    params: query
  })
}

// 查询专业术语详细
export function getTechLingo(id) {
  return request({
    url: '/tech/techLingo/' + id,
    method: 'get'
  })
}

// 新增专业术语
export function addTechLingo(data) {
  return request({
    url: '/tech/techLingo',
    method: 'post',
    data: data
  })
}

// 修改专业术语
export function updateTechLingo(data) {
  return request({
    url: '/tech/techLingo',
    method: 'put',
    data: data
  })
}

// 删除专业术语
export function delTechLingo(id) {
  return request({
    url: '/tech/techLingo/' + id,
    method: 'delete'
  })
}
